/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import type { WeatherCache } from "../weatherCache.js";
import type {
  SlashCommandSubcommandsOnlyBuilder,
  ChatInputCommandInteraction,
  SlashCommandOptionsOnlyBuilder,
} from "discord.js";

export interface Command {
  data:
  SlashCommandOptionsOnlyBuilder | SlashCommandSubcommandsOnlyBuilder;
  run: (
    interaction: ChatInputCommandInteraction,
    cache: WeatherCache
  )=> Promise<void>;
}
